//
// Copyright (c) Microsoft Corporation. Licensed under the MIT license.
//

#include <openssl/core_names.h>
#include <openssl/params.h>

#ifdef __cplusplus
extern "C" {
#endif

// Value provided by CMake, defined in top level CMakeLists.txt
#define P_SCOSSL_VERSION "1.0.0"
#define P_SCOSSL_NAME "SymCrypt"

typedef struct {
    const OSSL_CORE_HANDLE *handle;
} SCOSSL_PROVCTX, *PSCOSSL_PROVCTX;

static const OSSL_PARAM p_scossl_param_types[] =
{
    OSSL_PARAM_DEFN(OSSL_PROV_PARAM_NAME, OSSL_PARAM_UTF8_PTR, NULL, 0),
    OSSL_PARAM_DEFN(OSSL_PROV_PARAM_VERSION, OSSL_PARAM_UTF8_PTR, NULL, 0),
    OSSL_PARAM_DEFN(OSSL_PROV_PARAM_BUILDINFO, OSSL_PARAM_UTF8_PTR, NULL, 0),
    OSSL_PARAM_DEFN(OSSL_PROV_PARAM_STATUS, OSSL_PARAM_INTEGER, NULL, 0),
    OSSL_PARAM_END
};

#ifdef __cplusplus
}
#endif
